<?php if (!defined('PmWiki')) exit();
/**
 * version.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2010-2023
 * @note This file is part of Cookbook recipe "TxtDb" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package txtdb
 */

/**
 * @note Array for all modules/cookbook
 */
    global $cookbook;
    $cookbook = array();
    $prefix = 'txtdb';
    $cookbook[$prefix]['name'] = 'txtdb';
    $cookbook[$prefix]['version'] = '2.2.1-alpha-2';
    $cookbook[$prefix]['versionnum'] = '2002001';
    $cookbook[$prefix]['description'][] = "Text Db for PmWiki, using CSV style data, sql capable.";
    $cookbook[$prefix]['date']['datenum'] = '20230215';
    $cookbook[$prefix]['dependencies']['php']['version'] = "5.6.40+";
    $cookbook[$prefix]['dependencies']['pmwiki']['version'] = "2.2.122+";
    $cookbook[$prefix]['author']['name'] = 'V.Krishn';
    $cookbook[$prefix]['author']['resource'][] = "http://www.insteps.net";
    $cookbook[$prefix]['author']['email'][] = 'vkrishn@insteps.net';
    $cookbook[$prefix]['contributors']['1']['name'] = "c-worker.ch";
    $cookbook[$prefix]['contributors']['1']['resource'] = "http://www.c-worker.ch";
    $cookbook[$prefix]['contributors']['1']['email'] = "";
    $cookbook[$prefix]['comment'][] = "Compatible with PmWiki 2.2.x";
    $cookbook[$prefix]['licence'][] = "BSD/GNU General Public License/Free Software";

    /**
     * Cookbook guideline variable
     * @see http://www.pmwiki.org/wiki/Cookbook/ModuleGuidelines
    */
     $RecipeInfo[$prefix]['Version'] = $cookbook[$prefix]['version'];

/**
 * @note Variable/markup to use/display within wiki
 */
    // format "txtdb-2.1.1-20100112"
    $txtdbVersion = $cookbook[$prefix]['name']."-".$cookbook[$prefix]['version']. '-'.$cookbook[$prefix]['date']['datenum'];
    $FmtPV['$txtdbVersion'] = "'$txtdbVersion'";
    //$FmtPV['$txtdbVersion'] = '$GLOBALS["txtdbVersion"]';

    $TxtDb['version'] = $cookbook[$prefix]['version'];
    $TxtDb['versionnum'] = $cookbook[$prefix]['versionnum'];


